/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.outlined

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Outlined.WifiCalling3: ImageVector
    get() {
        if (_wifiCalling3 != null) {
            return _wifiCalling3!!
        }
        _wifiCalling3 = materialIcon(name = "Outlined.WifiCalling3") {
            materialPath {
                moveTo(16.49f, 4.5f)
                curveToRelative(1.79f, 0.0f, 3.42f, 0.73f, 4.59f, 1.91f)
                lineToRelative(1.06f, -1.06f)
                curveTo(20.7f, 3.9f, 18.7f, 3.0f, 16.49f, 3.0f)
                curveToRelative(-2.21f, 0.0f, -4.21f, 0.9f, -5.66f, 2.34f)
                lineToRelative(1.06f, 1.06f)
                curveTo(13.08f, 5.23f, 14.7f, 4.5f, 16.49f, 4.5f)
                close()
            }
            materialPath {
                moveTo(16.49f, 6.0f)
                curveToRelative(-1.38f, 0.0f, -2.63f, 0.56f, -3.54f, 1.46f)
                lineToRelative(1.06f, 1.06f)
                curveToRelative(0.63f, -0.63f, 1.51f, -1.03f, 2.47f, -1.03f)
                reflectiveCurveToRelative(1.84f, 0.39f, 2.47f, 1.03f)
                lineToRelative(1.06f, -1.06f)
                curveTo(19.12f, 6.56f, 17.87f, 6.0f, 16.49f, 6.0f)
                close()
            }
            materialPath {
                moveTo(16.49f, 9.0f)
                curveToRelative(-0.55f, 0.0f, -1.05f, 0.22f, -1.41f, 0.59f)
                lineTo(16.49f, 11.0f)
                lineToRelative(1.41f, -1.41f)
                curveTo(17.54f, 9.22f, 17.04f, 9.0f, 16.49f, 9.0f)
                close()
            }
            materialPath {
                moveTo(20.2f, 14.87f)
                lineToRelative(-3.67f, -0.73f)
                curveToRelative(-0.5f, -0.1f, -0.83f, 0.2f, -0.9f, 0.27f)
                lineToRelative(-2.52f, 2.5f)
                curveToRelative(-2.5f, -1.43f, -4.57f, -3.5f, -6.0f, -6.0f)
                lineToRelative(2.5f, -2.52f)
                curveToRelative(0.23f, -0.24f, 0.33f, -0.57f, 0.27f, -0.9f)
                lineTo(9.13f, 3.8f)
                curveTo(9.04f, 3.34f, 8.63f, 3.0f, 8.15f, 3.0f)
                lineTo(4.0f, 3.0f)
                curveTo(3.44f, 3.0f, 2.97f, 3.47f, 3.0f, 4.03f)
                curveTo(3.17f, 6.92f, 4.05f, 9.63f, 5.43f, 12.0f)
                curveToRelative(1.58f, 2.73f, 3.85f, 4.99f, 6.57f, 6.57f)
                curveToRelative(2.37f, 1.37f, 5.08f, 2.26f, 7.97f, 2.43f)
                curveToRelative(0.55f, 0.03f, 1.03f, -0.43f, 1.03f, -1.0f)
                verticalLineToRelative(-4.15f)
                curveTo(21.0f, 15.37f, 20.66f, 14.96f, 20.2f, 14.87f)
                close()
                moveTo(5.1f, 5.0f)
                horizontalLineToRelative(2.23f)
                lineTo(7.8f, 7.35f)
                lineTo(6.17f, 9.0f)
                curveTo(5.63f, 7.7f, 5.27f, 6.37f, 5.1f, 5.0f)
                close()
                moveTo(19.0f, 18.9f)
                curveToRelative(-1.37f, -0.18f, -2.7f, -0.53f, -4.0f, -1.07f)
                lineToRelative(1.65f, -1.63f)
                lineTo(19.0f, 16.67f)
                verticalLineTo(18.9f)
                close()
            }
        }
        return _wifiCalling3!!
    }

private var _wifiCalling3: ImageVector? = null
