/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.FolderCopy: ImageVector
    get() {
        if (_folderCopy != null) {
            return _folderCopy!!
        }
        _folderCopy = materialIcon(name = "Sharp.FolderCopy") {
            materialPath {
                moveTo(3.0f, 6.0f)
                lineToRelative(-2.0f, 0.0f)
                lineToRelative(0.0f, 15.0f)
                lineToRelative(19.0f, 0.0f)
                lineToRelative(0.0f, -2.0f)
                lineToRelative(-17.0f, 0.0f)
                close()
            }
            materialPath {
                moveTo(23.0f, 4.0f)
                horizontalLineToRelative(-9.0f)
                lineToRelative(-2.0f, -2.0f)
                horizontalLineTo(5.01f)
                lineTo(5.0f, 17.0f)
                horizontalLineToRelative(18.0f)
                verticalLineTo(4.0f)
                close()
            }
        }
        return _folderCopy!!
    }

private var _folderCopy: ImageVector? = null
