/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.NotificationsPaused: ImageVector
    get() {
        if (_notificationsPaused != null) {
            return _notificationsPaused!!
        }
        _notificationsPaused = materialIcon(name = "Sharp.NotificationsPaused") {
            materialPath {
                moveTo(12.0f, 22.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                horizontalLineToRelative(-4.0f)
                curveToRelative(0.0f, 1.1f, 0.89f, 2.0f, 2.0f, 2.0f)
                close()
                moveTo(18.0f, 16.0f)
                verticalLineToRelative(-5.0f)
                curveToRelative(0.0f, -3.07f, -1.64f, -5.64f, -4.5f, -6.32f)
                lineTo(13.5f, 2.5f)
                horizontalLineToRelative(-3.0f)
                verticalLineToRelative(2.18f)
                curveTo(7.63f, 5.36f, 6.0f, 7.93f, 6.0f, 11.0f)
                verticalLineToRelative(5.0f)
                lineToRelative(-2.0f, 2.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(16.0f)
                verticalLineToRelative(-1.0f)
                lineToRelative(-2.0f, -2.0f)
                close()
                moveTo(14.5f, 9.8f)
                lineToRelative(-2.8f, 3.4f)
                horizontalLineToRelative(2.8f)
                lineTo(14.5f, 15.0f)
                horizontalLineToRelative(-5.0f)
                verticalLineToRelative(-1.8f)
                lineToRelative(2.8f, -3.4f)
                lineTo(9.5f, 9.8f)
                lineTo(9.5f, 8.0f)
                horizontalLineToRelative(5.0f)
                verticalLineToRelative(1.8f)
                close()
            }
        }
        return _notificationsPaused!!
    }

private var _notificationsPaused: ImageVector? = null
